<html>
<head>
<title>OGRE: Ogre::ConfigDialog Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ConfigDialog.html">ConfigDialog</a></div>
<h1>Ogre::ConfigDialog Class Reference</h1><!-- doxytag: class="Ogre::ConfigDialog" -->Defines the behaviour of an automatic renderer configuration dialog.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html">OgreConfigDialogImp.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ConfigDialog-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#e89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Displays the dialog.  <a href="#945692461234bd311e64c3c8c126d23b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#e89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Displays the dialog.  <a href="#945692461234bd311e64c3c8c126d23b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#e89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#b541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#13256672f2bebba9e0b0d7921c006e19">initialise</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#afd08070efcdb79e02065f3182b64e3c">run</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#145ff70301c38309e3a441a9d97cc50f">cancel</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#e89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#b541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Displays the dialog.  <a href="#945692461234bd311e64c3c8c126d23b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static pascal OSStatus&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#6ad73133a1225c9897a67c993aa84601">windowEventHandler</a> (EventHandlerCallRef aNextHandler, EventRef aEvent, void *aUserData)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#4b7601582a2dd998ea695dc444eb35b7">createWindow</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create the gtk+ dialog window.  <a href="#4b7601582a2dd998ea695dc444eb35b7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#eae27a6cdd31fc6e9fe4d1f1a6059427">setupRendererParams</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get parameters from selected renderer and fill the dialog.  <a href="#eae27a6cdd31fc6e9fe4d1f1a6059427"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#11998266c7603d3bc655cb30bf423bc8">rendererChanged</a> (GtkComboBox *widget, gpointer data)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback function for renderer select combobox.  <a href="#11998266c7603d3bc655cb30bf423bc8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#65368b816eb40902c408328a2929b447">optionChanged</a> (GtkComboBox *widget, gpointer data)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback function to change a renderer option.  <a href="#65368b816eb40902c408328a2929b447"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static INT_PTR CALLBACK&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#0454d49afe1fa6c99650e00e53aeffbf">DlgProc</a> (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback to process window events.  <a href="#0454d49afe1fa6c99650e00e53aeffbf"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">mSelectedRenderSystem</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">mSelectedRenderSystem</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The rendersystem selected by user.  <a href="#6c5004c04a63dda888de6f2b34eb0831"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">GtkWidget *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae1f0b25abfe21f68afec7fbdfc5afed">mDialog</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The dialog window.  <a href="#ae1f0b25abfe21f68afec7fbdfc5afed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">GtkWidget *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#dea4ade0de0cae1f254121624c643a25">mParamTable</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The table with renderer parameters.  <a href="#dea4ade0de0cae1f254121624c643a25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#829cdc4f394cd15de2879bbc2cb99d1e">iSelectedRenderSystem</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#78548b51fe1d5e7523f8f8688430c3d3">iLogoViewRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#7f6e438ef7405c63d415d54f832a0b90">iVideoModeRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#09af11c3e95cc0dc86e101ce4b21876d">iColorDepthRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ced3331d6fb7c153a3f7a8a3472f0d8d">iFSAARef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#d587e254aca1e5aa05ce2fb140c1a34e">iRTTPrefModeRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HIViewRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a34139e7064c20bd2d9ce485e446ff72">iFullScreenRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">WindowRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#4c2255b3ad2cd57a70b821f450ff0046">iWindowRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">IBNibRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#3d5e0abc87bc3042ea5363f918bdb653">iNibRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">MenuRef&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#c3724a5f061f0195c741117685c3ef04">iMenuRef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">MenuID&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#d8b3343b0e5fcccf25e518999d1589b8">iMenuID</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ea078eb2d8ae6ebfd9ae6322e1b79387">iDisplayStatus</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">mSelectedRenderSystem</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">HINSTANCE&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#cc649f1f7d462c231f567facebc567ba">mHInstance</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Defines the behaviour of an automatic renderer configuration dialog. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform. </dd></dl>
<dl class="author" compact><dt><b>Author:</b></dt><dd>Steven J. Streeting</dd></dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform. </dd></dl>
<dl class="author" compact><dt><b>Author:</b></dt><dd>Andrew Zabolotny &lt;<a href="mailto:zap@homelink.ru">zap@homelink.ru</a>&gt; </dd></dl>

<p>Definition at line <a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html#l00050">50</a> of file <a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html">GLX/OgreConfigDialogImp.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="e89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="e89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="e89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="b541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::~ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="e89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="b541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigDialog::~ConfigDialog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConfigDialog::display           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Displays the dialog. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConfigDialog::display           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Displays the dialog. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="4b7601582a2dd998ea695dc444eb35b7"></a><!-- doxytag: member="Ogre::ConfigDialog::createWindow" ref="4b7601582a2dd998ea695dc444eb35b7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConfigDialog::createWindow           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create the gtk+ dialog window. 
<p>

</div>
</div><p>
<a class="anchor" name="eae27a6cdd31fc6e9fe4d1f1a6059427"></a><!-- doxytag: member="Ogre::ConfigDialog::setupRendererParams" ref="eae27a6cdd31fc6e9fe4d1f1a6059427" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigDialog::setupRendererParams           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get parameters from selected renderer and fill the dialog. 
<p>

</div>
</div><p>
<a class="anchor" name="11998266c7603d3bc655cb30bf423bc8"></a><!-- doxytag: member="Ogre::ConfigDialog::rendererChanged" ref="11998266c7603d3bc655cb30bf423bc8" args="(GtkComboBox *widget, gpointer data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ConfigDialog::rendererChanged           </td>
          <td>(</td>
          <td class="paramtype">GtkComboBox *&nbsp;</td>
          <td class="paramname"> <em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback function for renderer select combobox. 
<p>

</div>
</div><p>
<a class="anchor" name="65368b816eb40902c408328a2929b447"></a><!-- doxytag: member="Ogre::ConfigDialog::optionChanged" ref="65368b816eb40902c408328a2929b447" args="(GtkComboBox *widget, gpointer data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ConfigDialog::optionChanged           </td>
          <td>(</td>
          <td class="paramtype">GtkComboBox *&nbsp;</td>
          <td class="paramname"> <em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback function to change a renderer option. 
<p>

</div>
</div><p>
<a class="anchor" name="13256672f2bebba9e0b0d7921c006e19"></a><!-- doxytag: member="Ogre::ConfigDialog::initialise" ref="13256672f2bebba9e0b0d7921c006e19" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigDialog::initialise           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="afd08070efcdb79e02065f3182b64e3c"></a><!-- doxytag: member="Ogre::ConfigDialog::run" ref="afd08070efcdb79e02065f3182b64e3c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigDialog::run           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="145ff70301c38309e3a441a9d97cc50f"></a><!-- doxytag: member="Ogre::ConfigDialog::cancel" ref="145ff70301c38309e3a441a9d97cc50f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigDialog::cancel           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConfigDialog::display           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6ad73133a1225c9897a67c993aa84601"></a><!-- doxytag: member="Ogre::ConfigDialog::windowEventHandler" ref="6ad73133a1225c9897a67c993aa84601" args="(EventHandlerCallRef aNextHandler, EventRef aEvent, void *aUserData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static pascal OSStatus Ogre::ConfigDialog::windowEventHandler           </td>
          <td>(</td>
          <td class="paramtype">EventHandlerCallRef&nbsp;</td>
          <td class="paramname"> <em>aNextHandler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EventRef&nbsp;</td>
          <td class="paramname"> <em>aEvent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>aUserData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ConfigDialog::display           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Displays the dialog. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="0454d49afe1fa6c99650e00e53aeffbf"></a><!-- doxytag: member="Ogre::ConfigDialog::DlgProc" ref="0454d49afe1fa6c99650e00e53aeffbf" args="(HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static INT_PTR CALLBACK Ogre::ConfigDialog::DlgProc           </td>
          <td>(</td>
          <td class="paramtype">HWND&nbsp;</td>
          <td class="paramname"> <em>hDlg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UINT&nbsp;</td>
          <td class="paramname"> <em>iMsg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">WPARAM&nbsp;</td>
          <td class="paramname"> <em>wParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">LPARAM&nbsp;</td>
          <td class="paramname"> <em>lParam</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback to process window events. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6c5004c04a63dda888de6f2b34eb0831"></a><!-- doxytag: member="Ogre::ConfigDialog::mSelectedRenderSystem" ref="6c5004c04a63dda888de6f2b34eb0831" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">Ogre::ConfigDialog::mSelectedRenderSystem</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html#l00073">73</a> of file <a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html">GLX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6c5004c04a63dda888de6f2b34eb0831"></a><!-- doxytag: member="Ogre::ConfigDialog::mSelectedRenderSystem" ref="6c5004c04a63dda888de6f2b34eb0831" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">Ogre::ConfigDialog::mSelectedRenderSystem</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The rendersystem selected by user. 
<p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html#l00078">78</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ae1f0b25abfe21f68afec7fbdfc5afed"></a><!-- doxytag: member="Ogre::ConfigDialog::mDialog" ref="ae1f0b25abfe21f68afec7fbdfc5afed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* <a class="el" href="classOgre_1_1ConfigDialog.html#ae1f0b25abfe21f68afec7fbdfc5afed">Ogre::ConfigDialog::mDialog</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The dialog window. 
<p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html#l00080">80</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dea4ade0de0cae1f254121624c643a25"></a><!-- doxytag: member="Ogre::ConfigDialog::mParamTable" ref="dea4ade0de0cae1f254121624c643a25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* <a class="el" href="classOgre_1_1ConfigDialog.html#dea4ade0de0cae1f254121624c643a25">Ogre::ConfigDialog::mParamTable</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The table with renderer parameters. 
<p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html#l00082">82</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="829cdc4f394cd15de2879bbc2cb99d1e"></a><!-- doxytag: member="Ogre::ConfigDialog::iSelectedRenderSystem" ref="829cdc4f394cd15de2879bbc2cb99d1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1ConfigDialog.html#829cdc4f394cd15de2879bbc2cb99d1e">Ogre::ConfigDialog::iSelectedRenderSystem</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00027">27</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="78548b51fe1d5e7523f8f8688430c3d3"></a><!-- doxytag: member="Ogre::ConfigDialog::iLogoViewRef" ref="78548b51fe1d5e7523f8f8688430c3d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#78548b51fe1d5e7523f8f8688430c3d3">Ogre::ConfigDialog::iLogoViewRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00028">28</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f6e438ef7405c63d415d54f832a0b90"></a><!-- doxytag: member="Ogre::ConfigDialog::iVideoModeRef" ref="7f6e438ef7405c63d415d54f832a0b90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#7f6e438ef7405c63d415d54f832a0b90">Ogre::ConfigDialog::iVideoModeRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00029">29</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="09af11c3e95cc0dc86e101ce4b21876d"></a><!-- doxytag: member="Ogre::ConfigDialog::iColorDepthRef" ref="09af11c3e95cc0dc86e101ce4b21876d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#09af11c3e95cc0dc86e101ce4b21876d">Ogre::ConfigDialog::iColorDepthRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00030">30</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ced3331d6fb7c153a3f7a8a3472f0d8d"></a><!-- doxytag: member="Ogre::ConfigDialog::iFSAARef" ref="ced3331d6fb7c153a3f7a8a3472f0d8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#ced3331d6fb7c153a3f7a8a3472f0d8d">Ogre::ConfigDialog::iFSAARef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00031">31</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d587e254aca1e5aa05ce2fb140c1a34e"></a><!-- doxytag: member="Ogre::ConfigDialog::iRTTPrefModeRef" ref="d587e254aca1e5aa05ce2fb140c1a34e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#d587e254aca1e5aa05ce2fb140c1a34e">Ogre::ConfigDialog::iRTTPrefModeRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00032">32</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a34139e7064c20bd2d9ce485e446ff72"></a><!-- doxytag: member="Ogre::ConfigDialog::iFullScreenRef" ref="a34139e7064c20bd2d9ce485e446ff72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIViewRef <a class="el" href="classOgre_1_1ConfigDialog.html#a34139e7064c20bd2d9ce485e446ff72">Ogre::ConfigDialog::iFullScreenRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00033">33</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4c2255b3ad2cd57a70b821f450ff0046"></a><!-- doxytag: member="Ogre::ConfigDialog::iWindowRef" ref="4c2255b3ad2cd57a70b821f450ff0046" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WindowRef <a class="el" href="classOgre_1_1ConfigDialog.html#4c2255b3ad2cd57a70b821f450ff0046">Ogre::ConfigDialog::iWindowRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00034">34</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d5e0abc87bc3042ea5363f918bdb653"></a><!-- doxytag: member="Ogre::ConfigDialog::iNibRef" ref="3d5e0abc87bc3042ea5363f918bdb653" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IBNibRef <a class="el" href="classOgre_1_1ConfigDialog.html#3d5e0abc87bc3042ea5363f918bdb653">Ogre::ConfigDialog::iNibRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00035">35</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c3724a5f061f0195c741117685c3ef04"></a><!-- doxytag: member="Ogre::ConfigDialog::iMenuRef" ref="c3724a5f061f0195c741117685c3ef04" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MenuRef <a class="el" href="classOgre_1_1ConfigDialog.html#c3724a5f061f0195c741117685c3ef04">Ogre::ConfigDialog::iMenuRef</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00036">36</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d8b3343b0e5fcccf25e518999d1589b8"></a><!-- doxytag: member="Ogre::ConfigDialog::iMenuID" ref="d8b3343b0e5fcccf25e518999d1589b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MenuID <a class="el" href="classOgre_1_1ConfigDialog.html#d8b3343b0e5fcccf25e518999d1589b8">Ogre::ConfigDialog::iMenuID</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00037">37</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea078eb2d8ae6ebfd9ae6322e1b79387"></a><!-- doxytag: member="Ogre::ConfigDialog::iDisplayStatus" ref="ea078eb2d8ae6ebfd9ae6322e1b79387" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#ea078eb2d8ae6ebfd9ae6322e1b79387">Ogre::ConfigDialog::iDisplayStatus</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html#l00038">38</a> of file <a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6c5004c04a63dda888de6f2b34eb0831"></a><!-- doxytag: member="Ogre::ConfigDialog::mSelectedRenderSystem" ref="6c5004c04a63dda888de6f2b34eb0831" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1ConfigDialog.html#6c5004c04a63dda888de6f2b34eb0831">Ogre::ConfigDialog::mSelectedRenderSystem</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreConfigDialogImp_8h-source.html#l00088">88</a> of file <a class="el" href="WIN32_2OgreConfigDialogImp_8h-source.html">WIN32/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc649f1f7d462c231f567facebc567ba"></a><!-- doxytag: member="Ogre::ConfigDialog::mHInstance" ref="cc649f1f7d462c231f567facebc567ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HINSTANCE <a class="el" href="classOgre_1_1ConfigDialog.html#cc649f1f7d462c231f567facebc567ba">Ogre::ConfigDialog::mHInstance</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreConfigDialogImp_8h-source.html#l00089">89</a> of file <a class="el" href="WIN32_2OgreConfigDialogImp_8h-source.html">WIN32/OgreConfigDialogImp.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="GLX_2OgreConfigDialogImp_8h-source.html">GLX/OgreConfigDialogImp.h</a><li><a class="el" href="gtk_2OgreConfigDialogImp_8h-source.html">gtk/OgreConfigDialogImp.h</a><li><a class="el" href="OSX_2OgreConfigDialogImp_8h-source.html">OSX/OgreConfigDialogImp.h</a><li><a class="el" href="WIN32_2OgreConfigDialogImp_8h-source.html">WIN32/OgreConfigDialogImp.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:05 2008
</p>
</body>
</html>
